Subject: You have little joy in life? Lacks warmth and affection? Come to me.

From: [email-masked]
Date: Sun, 28 Mar 2010 12:16:10 +0000

I can do for you is - what can not no girl! http://fairfield2157.spaces.live.com